Ruby master - Bug #6889

Restore backwards compatibility of Net::HTTP
08/18/2012 08:34 AM - drbrain (Eric Hodel)

Status: Closed

Priority: Normal

Assignee: naruse (Yui NARUSE)

Target version: 2.0.0

ruby -v: - Backport:
Description

=begin

In Ruby 1.9.3 and earlier net/http defines a constant (({Net::HTTPSession})) which is an alias of (({Net:HTTP})).

In r35761 for #6435 | accidentally moved the constant to (({Net::HTTP::HTTPSession})).

The attached patch restores net/http to pre-r35761 behavior.
=end

Associated revisions

Revision d212a89c - 08/23/2012 10:42 PM - drbrain (Eric Hodel)

e lib/net/http/backward.rb (class Net): Restored Net::HTTPSession to fix backwards-compatibility with ancient Net::
#1 - 08/20/2012 05:02 PM - naruse (Yui NARUSE)

OK, commit it!

#2 - 08/24/2012 07:42 AM - drbrain (Eric Hodel)
- Status changed from Open to Closed
- % Done changed from 0 to 100
https://bugs.ruby-lang.org/issues/6435

This issue was solved with changeset r36810.
Eric, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e lib/net/http/backward.rb (class Net): Restored Net::HTTPSession to fix backwards-compatibility with ancient Net::HTTP. [Bug #6889]

Files

net.http.restore_backward_compatibility.patch 350 Bytes 08/18/2012 drbrain (Eric Hodel)
